> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/transit-digitization/ja/d1-transit-api-wosuru/psonaraizshondtawosuru.md).

# パーソナライゼーションデータを準備する

以下のセクションでは、デジタルカードバンドルを構築するために、getDigitalCardBundleData レスポンスで Transit イシュア により返されるデータ要素の一覧を定義します。

アプリケーションの技術によって、要素の一覧は異なります。

### EMV <a href="#emv" id="emv"></a>

| 名前                   | 形式  | 説明                                                                    | 例                               |
| -------------------- | --- | --------------------------------------------------------------------- | ------------------------------- |
| acIssuerMasterKeyId  | 文字列 | アプリケーション暗号を計算するために使用される ICC マスターキーを取得するために派生される IMK の識別子。             | "G0DB5.LIVE.IMK225563.IMKAC.01" |
| acDerivationKeyIndex | 文字列 | ICC マスターキーを派生するために使用される IMK AC を識別する派生キーインデックス。この値はデジタルカードに個別化されます。   | "01"                            |
| cardData             | 文字列 | <p>データ暗号化で定義されている JWE 暗号化を使用して暗号化された cardData。<br>以下の形式を参照してください。</p> |                                 |

#### カードデータ <a href="#pure" id="pure"></a>

JSON オブジェクトは次のように定義されます。

| JSON パラメータ名             | 説明                                                                                                                                                              | サンプル値                           |
| ----------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| pan                     | <p>PAN（Primary Account Number）の値。</p><p><strong>必須</strong><br></p>                                                                                             | "4929403965000868"              |
| exp                     | <p>カードの有効期限の 'MMYY' 形式。<br><strong>必須</strong></p>                                                                                                              | "1228"                          |
| panSequenceNumber       | <p>PAN のシーケンス番号。<br>デフォルト値は "01" に設定されます</p>                                                                                                                    | "03"                            |
| paymentAccountReference | <p>Payment Account Reference（PAR）。</p><p>PAR データは、EMVCo により Registered BIN Controllers に割り当てられる 4 文字の BIN Controller Identifier と、その後に続く一意の 25 文字の値で構成されます。</p> | "512381D9F8E0629211E3949A08002" |
| initialAtc              | <p>初期 Application Transaction Counter の値。<br>デフォルト値は "0001" に設定されます</p>                                                                                         | "000A"                          |

サンプルペイロード:

```json
{
  "pan": "4929403965000868",
  "exp": "1228",
  "panSequenceNumber": "01",
  "paymentAccountReference": "512381D9F8E0629211E3949A08002",
  "initialAtc": "0001"
}
```

#### PURE <a href="#pure" id="pure"></a>

PURE アプリケーションを使用する場合は、以下のデータ要素を追加で提供する必要があります（Apple には適用されません）。

| 名前                   | 形式  | 説明                                                                  | 例                               |
| -------------------- | --- | ------------------------------------------------------------------- | ------------------------------- |
| lcIssuerMasterKeyId  | 文字列 | ローカル CDCVM スタンプ暗号を計算するために使用される ICC マスターキーを取得するために派生される IMK の識別子。    | "G0DB5.LIVE.IMK225563.IMKAC.12" |
| lcDerivationKeyIndex | 文字列 | ICC マスターキーを派生するために使用される IMK LC を識別する派生キーインデックス。この値はデジタルカードに個別化されます。 | "04"                            |

### Calypso <a href="#calypso" id="calypso"></a>

| 名前              | 形式             | 説明                                                                                                                                                                                  | 例                                                            |
| --------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| applicationType | 文字列            | <p>個別化する Calypso アプリケーションの種類を示します。</p><ul><li>Navigo の場合は 01</li><li>Triangle 2/Hoplink の場合は 02</li><li>AMC の場合は 03</li><li>その他の Calypso アプリケーションの場合は 00</li></ul>                  | "00"                                                         |
| issuerKeyId     | 16進文字列         | <p>イシュアキー識別子（KIF KVC）<br>DGI 4101 に使用</p>                                                                                                                                           | "217E"                                                       |
| loadKeyId       | 16進文字列         | <p>ロードキー識別子（KIF KVC）<br>DGI 4102 に使用</p>                                                                                                                                            | "277E"                                                       |
| validationKeyId | 16進文字列         | <p>バリデーションキー識別子（KIF KVC）<br>DGI 4103 に使用</p>                                                                                                                                        | "307E"                                                       |
| signatureKey1Id | 16進文字列         | <p>次のいずれかを表すキー識別子（KIF KVC）：</p><ul><li>applicationType ='02' または '03' の HSM キーによる署名</li><li>または applicationType ='01' の署名キー #1</li></ul><p>applicationType = '00' には適用されません</p>     | "EC15"                                                       |
| signatureKey2Id | 16進文字列         | <p>次のいずれかを表すキー識別子（KIF KVC）：</p><ul><li>applicationType = '02' または '03' の AES-CTR 暗号化キー</li><li>または applicationType = '01' の署名キー #2</li></ul><p>applicationType = '00' には適用されません</p> | "EC45"                                                       |
| signatureKey3Id | 16進文字列         | <p>applicationType = '03' の PID 生成キーを表すキー識別子（KIF KVC）<br><br>applicationType = '00'、'01'、'02' には適用されません</p>                                                                         | "EC75"                                                       |
| signatureKey4Id | 16進文字列         | <p>applicationType = '03' の PID 署名キーを表すキー識別子（KIF KVC）<br><br>applicationType = '00'、'01'、'02' には適用されません</p>                                                                         | "EC95"                                                       |
| dgixxxx         | 16進文字列（29 バイト） | <p>個別化する DGI の値。<br>'xxxx' は DGI タグを表します。たとえば、dgi0903 は DGI タグ = '0903' を意味します。</p>                                                                                                 | "00000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/transit-digitization/ja/d1-transit-api-wosuru/psonaraizshondtawosuru.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
